#
# spec file for package infones
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           infones
Version:        0.97J_RC1
Release:        3.14
Summary:        Nintendo NES Emulator
License:        GPL-2.0
Group:          System/Emulators/Other
Source:         InfoNES097JRC1_SDL.tar.gz
Patch0:         InfoNES097JRC1_SDL.dif
Patch1:         infones-rpmlint.patch
BuildRequires:  SDL-devel
BuildRequires:  gcc-c++
BuildRequires:  zlib-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Portable Nintendo Entertainment System emulator.

%prep
%setup -q -n InfoNES097JRC1_SDL
%patch0
%patch1

%build
cd src/sdl
make %{?_smp_mflags} CFLAGS="%{optflags}" CXXFLAGS="%{optflags}"

%install
install -D -m 755 src/sdl/InfoNES %{buildroot}%{_bindir}/infones
mv src/doc/readme.html readme_src.html

%files
%defattr(-,root,root)
%doc readme.html readme_src.html
%{_bindir}/infones

%changelog
* Sat Nov 26 2016 aloisio@gmx.com
- Fixed build
- Spec cleanup
* Mon Nov 24 2008 uli@suse.d
- fixed bugs found by rpmlint
